Subject: [alpine-aports] [PATCH 1/2] testing/py-s3transfer: new aport

From: Valery Kartel <[email-masked]>
Date: Mon, 14 Mar 2016 16:46:58 +0200

Amazon S3 Transfer Manager for Python
https://github.com/boto/s3transfer
---
 testing/py-s3transfer/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/py-s3transfer/APKBUILD

diff --git a/testing/py-s3transfer/APKBUILD b/testing/py-s3transfer/APKBUILD
new file mode 100644
index 0000000..21f173c
--- /dev/null
+++ b/testing/py-s3transfer/APKBUILD
@@ -0,0 +1,41 @@
+# Maintainer: Valery Kartel <[email-masked]>
+# Contributor: Valery Kartel <[email-masked]>
+pkgname=py-s3transfer
+_pkgname=s3transfer
+pkgver=0.0.1
+pkgrel=0
+pkgdesc="Amazon S3 Transfer Manager for Python"
+url="https://github.com/boto/s3transfer"
+arch="noarch"
+license="apache2"
+depends="python"
+depends_dev=
+makedepends="python-dev py-setuptools"
+install=
+subpackages=
+source="$_pkgname-$pkgver.tar.gz::https://github.com/boto/$_pkgname/archive/$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$_builddir"
+	python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="d7e50c1f8fa21801334562e93246c26e  s3transfer-0.0.1.tar.gz"
+sha256sums="41f31e669e0e260a903d77f59ae20cd6b47e9117956093328c91f3eff20f683b  s3transfer-0.0.1.tar.gz"
+sha512sums="bee66e58f58ff9c774966131bfca3c9bd86baeb4ea6d757281c526690695195e4b0770745b09912bd93a41eac83c0299f93a2174ebfaf441740951a68b9ffc61  s3transfer-0.0.1.tar.gz"
-- 
2.7.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---